with GNATCOLL.JSON;   use GNATCOLL.JSON;
with Ada.Text_IO;     use Ada.Text_IO;

procedure Test_Unset is
   V : JSON_Value := Create_Object;
begin
   V.Set_Field ("A", Integer'(1));
   V.Set_Field ("B", Integer'(2));
   V.Set_Field ("C", Integer'(3));

   V.Unset_Field ("B");

   Put_Line (Write (V));
end Test_Unset;
